<?php namespace Config;

use CodeIgniter\Config\BaseConfig;

class Filters extends BaseConfig
{
	// Makes reading things below nicer,
	// and simpler to change out script that's used.
	public $aliases = [
		'csrf'     => \CodeIgniter\Filters\CSRF::class,
		'toolbar'  => \CodeIgniter\Filters\DebugToolbar::class,
		'honeypot' => \CodeIgniter\Filters\Honeypot::class,
		'login_filter' => \App\Filters\LoginFilter::class,
		'login_page_filter' => \App\Filters\LoginPageFilter::class,
		'rights_common_user_filter' => \App\Filters\RightsCommonUserFilter::class,         //限制普通用户的操作权限
		'login_filter' => \App\Filters\LoginFilter::class                                  //登录用户权限的接口控制
	];

	// Always applied before every request
	public $globals = [
		'before' => [
			//'honeypot'
			// 'csrf',
		],
		'after'  => [
			'toolbar',
			//'honeypot'
		],
	];

	// Works on all of a particular HTTP method
	// (GET, POST, etc) as BEFORE filters only
	//     like: 'post' => ['CSRF', 'throttle'],
	public $methods = [
		// 'get' => ['login_page_filter']
	];

	// List filter aliases and any before/after uri patterns
	// that they should run on, like:
	//    'isLoggedIn' => ['before' => ['account/*', 'profiles/*']],
	public $filters = [
		'login_page_filter' => ['before' => ['devManage','devManage/*','orgManage','orgManage/*','userManage','userManage/*']],
		'login_filter' => ['before' => [
			'UserManageCtr',
			'UserManageCtr/modifyUserInfo'
			]
		],
		'rights_common_user_filter' => ['before' => [
			'devManageCtr',
			'devManageCtr/addFirstCategory',
			'devManageCtr/editFirstCategory',
			'devManageCtr/delAnFirstCategoryItem',
			'devManageCtr/delAnSecondCategoryItem',
			'devManageCtr/addSecondCategory',
			'devManageCtr/editSecondCategory',
			'devManageCtr/addDev',
			'devManageCtr/delDev',
			'devManageCtr/updateDev',
			'devManageCtr/modifyDevInfo',
			'devManageCtr/deleleDevImg',
			'devManageCtr/addDevBorrowInfo',
			'devManageCtr/refuseBorrow',
			'devManageCtr/acceptBorrow',
			'devManageCtr/confirmGiveBack',
			'devManageCtr/borrowDevicesToUser',
			'OrgManageCtr',
			'OrgManageCtr/addOrgSection',
			'OrgManageCtr/delOrgSection',
			'OrgManageCtr/updateOrgSection',
			'UserManageCtr',
			'UserManageCtr/addUser',
			'UserManageCtr/editUser',
			'UserManageCtr/delUser'
			]
		]
	];
}
